%define name	viewcvs
%define version	0.9.2
%define release	4mdk

Summary:	A CGI program to access CVS bases
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
Source:		%{name}-%{version}.tar.bz2
URL:		http://viewcvs.sf.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	rcs, enscript, webserver
BuildRequires:	python

%description
viewcvs is a visual (www) interface to explore a cvs repository. This is a
rewrite of cvsweb by Greg Stein.

%prep
rm -rf %{buildroot} 

%setup -q

%build
perl -pi -e 's|^(LIBRARY_DIR\s=\s)None|$1"%{_datadir}/viewcvs/lib"|' cgi/viewcvs.cgi
for file in lib/{viewcvs,cvsdb,query}.py; do
	perl -pi -e 's|^(CONF_PATHNAME\s=\s)None|$1"%{_sysconfdir}/cvs/viewcvs.conf"|' $file
done

%install
mkdir -p %{buildroot}/var/www/cgi-bin/
install -m 755 cgi/*.cgi %{buildroot}/var/www/cgi-bin/

mkdir -p %{buildroot}%{_sysconfdir}/cvs
install -m 644 cgi/viewcvs.conf.dist %{buildroot}%{_sysconfdir}/cvs/viewcvs.conf

mkdir -p %{buildroot}%{_datadir}/viewcvs/lib
install -m 644 lib/*.py %{buildroot}%{_datadir}/viewcvs/lib
# Do *NOT* compile the python source files!
# Doing so will cause references to the buildroot be present in the
# "binaries".
#python /usr/lib/python2.2/compileall.py %{buildroot}%{_datadir}/viewcvs/lib

mkdir -p %{buildroot}%{_datadir}/viewcvs/tools
install -m 755 tools/* %{buildroot}%{_datadir}/viewcvs/tools

mkdir -p %{buildroot}%{_datadir}/viewcvs/templates
install -m 755 templates/* %{buildroot}%{_datadir}/viewcvs/templates

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE.html TODO cgi/*.conf.dist CHANGES README
%dir %{_datadir}/viewcvs
%{_datadir}/viewcvs/*
/var/www/cgi-bin/*cgi
%config(noreplace) %{_sysconfdir}/cvs/viewcvs.conf

%changelog
* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-4mdk
- rebuild

* Tue Feb 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.9.2-3mdk
- Modify the viewcvs.cgi "binary" to include the Library Dir by default
- Modify the Python viewcvs.py, query.py and cvsdb.py to
  include the CONF_PATHNAME
- Make setup be quiet
- Don't compile the python sources, because else references to the
  buildroot will be in the compiled files!

* Tue Feb 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.9.2-2mdk
- Move cgi files from /var/www/html/cgi-bin to /var/www/cgi-bin
- Change URL
- Include the "template" configuration files as documentation
- Add %clean section to make rpmlint happy
- This needs a webserver - Added Requires: webserver

* Wed Jan 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- switch to python-2.2
- new release

* Mon Dec 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Sep 06 2001 Etienne Faure <etienne@mandrakesoft.com> 0.7-1mdk
- version 0.7

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix build

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- macros & clean spec

* Mon Jul 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- first Mandrake version.    
